Bug Hunting Session
Bug 66372 - FILEOPEN: MS .docx Fails to import properly. Line missing from table (5/6)
Summary: FILEOPEN: MS .docx Fails to import properly. Line missing from table (5/6)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 16:29 UTC by Luke
Modified: 2014-03-29 10:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
MS .docx file fails to import correctly (172.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-29 16:41 UTC, Luke
Details
Comparison of DocX in Word vs Writer P2 (288.78 KB, image/png)
2013-06-29 16:44 UTC, Luke
Details
Comparison LibreOffice 3.6.7.1 vs 4.2.0.0 (116.74 KB, image/png)
2013-06-30 21:25 UTC, Jorendc
Details
Removing everything but table by copy/paste into fresh doc (10.68 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-27 17:23 UTC, Luke
Details
fixed in nightly build (157.65 KB, image/png)
2014-03-28 11:57 UTC, retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2013-06-29 16:29:45 UTC
This bug was tested LibreOffice v4.1 RC1 running in windows 7 and XP. It appears that LibreOffice loses formatting when importing MS .docx files. I have attached an example.

Steps to reproduce the bug:
1. Open attached Demo-Hayden-Management.docx document in writer 
2. Open attached Demo-Hayden-Management.docx document in Word2007/Office 365
3. Compare the documents. 

Note from item #5 from the screenshot that the "west" line is missing.
Comment 1 Luke 2013-06-29 16:41:59 UTC
Created attachment 81688 [details]
MS .docx file fails to import correctly
Comment 2 Luke 2013-06-29 16:44:19 UTC
Created attachment 81691 [details]
Comparison of DocX in Word vs Writer P2
Comment 3 Jorendc 2013-06-30 21:24:43 UTC
I can confirm this tested using Windows 8 with LibreOffice 4.2.0.0 Version: 4.2.0.0.alpha0+ Build ID: 9bd0a976017fadf4344cbf6746abd395dfcc3cb7
TinderBox: Win-x86@6, Branch:master, Time: 2013-06-29_22:42:02 and LibreOffice 3.6.7.1.

Actually, it even does look worse in 4.2.0.0

Kind regards,
Joren
Comment 4 Jorendc 2013-06-30 21:25:42 UTC
Created attachment 81767 [details]
Comparison LibreOffice 3.6.7.1 vs 4.2.0.0
Comment 5 Luke 2014-01-27 17:23:50 UTC
Created attachment 92868 [details]
Removing everything but table by copy/paste into fresh doc

I created a new doc and pasted the table into it. The result was the same. Interestingly, if you save the file as .odt and take a look at the content.xml, the missing row is still there in the XML.

-<table:table-row table:style-name="Table1.3"><table:covered-table-cell/>
-<table:table-cell table:style-name="Table1.B3" office:value-type="string"><text:p text:style-name="P2">East</text:p></table:table-cell>
-<table:table-cell table:style-name="Table1.C3" office:value
-type="string"><text:p text:style-name="P2">Approved</text:p>
Comment 6 Xisco Faulí 2014-03-27 14:39:17 UTC
This issue is still reproducible with:
   - Libreoffice 4.1.5.3 Build ID: 1c1366bba2ba2b554cd2ca4d87c06da81c05d24
   - Libreoffice 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f

but not with:
   - Libreoffice 4.3.0.0.alpha0 Build ID: aeab0183e86fe011d32058864c02b2de4da32dc9
Comment 7 retired 2014-03-28 11:56:48 UTC
Indeed fixed in latest nightly build.

Version: 4.3.0.0.alpha0+
Build ID: 5dbb3c66aa1b600b21251c5afa4f5d7a2fefa05c
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-28_08:05:20

Will attach screenshot.
Comment 8 retired 2014-03-28 11:57:09 UTC
Created attachment 96520 [details]
fixed in nightly build